/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

void MainForm::SendNetRequest()
{
    if (this->lineEditAddress->text() == "")
    {
	QMessageBox::warning( this, "Uwaga!", "Prosze podac adres serwera uslugi daytime!");
	return;
    }
    
    this->textLabelINFO1->setText("Rozwiazywanie nazwy...");
    this->textLabelINFO2->setText("Stop.");
    this->textLabelINFO3->setText("Stop.");
    m_MyDns = new QDns(this->lineEditAddress->text());
    QObject::connect(m_MyDns, SIGNAL(resultsReady()), this, SLOT(ConnectToServer()));
}


void MainForm::ConnectToServer()
{
    char cbResult[129];
    int iLength = -1;
    QValueList<QHostAddress> AddressessList = m_MyDns->addresses();
    QValueList<QHostAddress>::Iterator AddressessIterator = AddressessList.begin();
  
    if (AddressessList.begin() == AddressessList.end())
    {
	QMessageBox::critical( this, "Uwaga!", "Nie znaleziono serwera!");
	this->textLabelINFO1->setText("Rozwiazywanie nazwy... Blad.");
	return;
    };

    this->textLabelINFO1->setText("Rozwiazywanie nazwy... OK.");
    this->textLabelINFO2->setText("Nawiazywanie polaczenia (" + (*AddressessIterator).toString() + ")...");

    if (!m_ServerAddress.setAddress((*AddressessIterator).toString()))
    {
	QMessageBox::critical( this, "Uwaga!", "Zly adres!");	
	this->textLabelINFO2->setText("Nawiazywanie polaczenia (" + (*AddressessIterator).toString() + ")... Blad.");
	return;
    }
    
    m_MySocket = new QSocketDevice(QSocketDevice::Stream);    
    if (!m_MySocket->connect(m_ServerAddress, 13))
    {
	QMessageBox::critical( this, "Uwaga!", "Problem z nawiazaniem polaczenia!");
	this->textLabelINFO2->setText("Nawiazywanie polaczenia (" + (*AddressessIterator).toString() + ")... Blad.");
	printf("1\n");
	if (m_MySocket)
	{
	    delete m_MySocket;
	    m_MySocket = NULL;
	}
	printf("2\n");
	return;
    }
    m_MySocket->setBlocking(true);
	
    this->textLabelINFO2->setText("Nawiazywanie polaczenia (" + (*AddressessIterator).toString() + ")... OK.");
    this->textLabelINFO3->setText("Pobieranie wyniku...");
	
    iLength = m_MySocket->readBlock(cbResult, 129);
        
    cbResult[iLength] = '\0';
    this->textLabelINFO3->setText("Pobieranie wyniku... OK.");
    this->textEditResult->setText(tr( cbResult ));
	
    delete m_MySocket;
    m_MySocket = NULL;
}
